lgt2rst(1)

NAME
lgt2rst - Logtalk script for converting XML documenting files into reStructuredText files, notably for use with Sphinx

SYNOPSIS
lgt2rst [-d directory] [-i index] [-t title] [-p processor] [-s] [-m] [-l mapping]
lgt2rst -h

DESCRIPTION
lgt2rst is a Logtalk script for converting all Logtalk XML documenting files in the current directory into reStructuredText files, notably for use with Sphinx. Assumes UTF-8 encoding.

OPTIONS

-d  directory Output directory for the reStructuredText files.

-i  index Name of the index file.

-t  title Title to be used in the index file.

-p  processor XSLT processor.

-s  Runs sphinx-quickstart script.

-m  Runs make html (requires also using the -s option).

-l  mapping Name of the Intersphinx mapping for linking library APIs back to library descriptions.

-h  Prints a summary of the script options.

REQUIREMENTS
Requires a compatible XSLT processor. See the script help screen for more information.

The use of the -s, -m, and -l options require Sphinx, Intersphinx extension, Read the Docs Sphinx theme, and Pygments to be installed.

The use of the -l option requires that the used conf.py file defines the mapping. The library description files must have a reStructuredText target in the first line with the name of the library prefixed by library_. See the Intersphinx documentation for details.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/tools/lgtdoc/xml/logtalk_entity.dtd
    The Logtalk entity DTD file.

$LOGTALKHOME/tools/lgtdoc/xml/logtalk_index.dtd
    The Logtalk index DTD file.

$LOGTALKUSER/tools/lgtdoc/xml/custom.ent
    The Logtalk custom entities file.

$LOGTALKHOME/tools/lgtdoc/xml/logtalk_entity.xsd
    The Logtalk entity XML Schema file.

$LOGTALKHOME/tools/lgtdoc/xml/logtalk_index.xsd
    The Logtalk index XML Schema file.

$LOGTALKUSER/tools/lgtdoc/xml/logtalk_entity_to_rst.xsl
    The Logtalk entity XSLT file.

$LOGTALKUSER/tools/lgtdoc/xml/logtalk_index_to_rst.xsl
    The Logtalk index XSLT file.

$LOGTALKUSER/tools/lgtdoc/xml/conf.py.jinja
    The conf.py template file.

$LOGTALKUSER/tools/lgtdoc/xml/css/sphinx/custom.css
    The CSS file used to customize the Sphinx Read the Docs theme.

SEE ALSO
The Sphinx website at https://www.sphinx-doc.org/

The Pygments website at https://pygments.org/

The Read the Docs theme website at https://github.com/readthedocs/sphinx_rtd_theme

The Logtalk website at https://logtalk.org/

The Logtalk Handbook at $LOGTALKHOME/docs/handbook/index.html

logtalk_user_setup(1), lgt2html(1), lgt2xml(1), lgt2pdf(1), lgt2md(1), lgt2txt(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2026 Paulo Moura.